Name: 		resource-agents
Version: 	3.9.7
Release: 	%mkrel 2
Summary: 	Open Cluster Framework (OCF) resource agents
Group: 		System/Kernel and hardware
URL: 		https://github.com/ClusterLabs/resource-agents
Source: 	https://github.com/ClusterLabs/resource-agents/archive/v%{version}.zip
Patch0: 	resource-agents-3.9.2-automake-1.13.patch
Patch1: 	resource-agents-3.9.5-squid32.patch
Patch2:		resource-agents-3.9.5-automake-1.14.patch
License: 	GPLv2
Conflicts: 	cman < 3.0.0
BuildRequires: 	nss-devel 
BuildRequires: 	docbook-style-xsl
BuildRequires: 	pkgconfig(glib-2.0)
BuildRequires: 	pkgconfig(systemd)
BuildRequires: 	cluster-glue-devel
BuildRequires: 	xsltproc
Requires(post): systemd >= %{systemd_required_version}

%description
This repository contains resource agents (RAs) compliant
with the Open Cluster Framework (OCF) specification.

%package -n ldirectord
Summary: Daemon to monitor remote services and control Linux Virtual Server
Group: System/Kernel and hardware
License: GPLv2+
Requires: logrotate ipvsadm

%description -n ldirectord
ldirectord is a daemon to monitor and administer real servers in a
cluster of load balanced virtual servers.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .automake1.14

%build
autoreconf -vfi
%configure2_5x \
%ifarch %arm
	--disable-fatal-warnings \
%endif
	--with-initdir=%{_initrddir}


%install
mkdir -p %{buildroot}%{_initrddir}
%makeinstall_std

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/resource-agents 0755 root root
EOF

%post
%_tmpfilescreate %{name}

%post -n ldirectord
%_post_service ldirectord

%preun -n ldirectord
%_preun_service ldirectord

%files
%doc AUTHORS COPYING COPYING.GPLv3 COPYING.LGPL ChangeLog
%doc doc/README.webapps
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs
%dir %{_logdir}/cluster
%{_tmpfilesdir}/%{name}.conf
%{_includedir}/heartbeat
%{_mandir}/man7/ocf_heartbeat_*.7*
%{_mandir}/man8/ocf-tester.8*
%{_mandir}/man8/sfex_init.8*
%{_datadir}/cluster
%{_datadir}/resource-agents
%{_libexecdir}/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
%{_sbindir}/rhev-check.sh
%{_sbindir}/sfex_init
%{_sbindir}/sfex_stat
%{_usr}/lib/ocf

%files -n ldirectord
%dir %{_sysconfdir}/ha.d/resource.d
%config(noreplace) %{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%config(noreplace) %{_initrddir}/ldirectord
%{_sbindir}/ldirectord
%{_mandir}/man8/ldirectord.8*
%{_unitdir}/ldirectord.service


%changelog
* Fri Apr 01 2016 pterjan <pterjan> 3.9.7-2.mga6
+ Revision: 997289
- Fix build on arm (I couldn't find a clean way :( )

* Thu Mar 31 2016 pterjan <pterjan> 3.9.7-1.mga6
+ Revision: 997003
- Add BuildRequires
- Update to 3.9.7

* Tue Feb 02 2016 umeabot <umeabot> 3.9.5-6.mga6
+ Revision: 931983
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.9.5-5.mga5
+ Revision: 750518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.5-4.mga5
+ Revision: 688662
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 wally <wally> 3.9.5-3.mga5
+ Revision: 636640
- add patch to fix build with automake 1.14

  + dmorgan <dmorgan>
    - Fix Autobuild

* Sun Mar 24 2013 colin <colin> 3.9.5-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Mar 17 2013 dlucio <dlucio> 3.9.5-1.mga3
+ Revision: 403573
- P1 to let Squid 3.2+ Monitoring run
- 3.9.5

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.9.2-3.mga3
+ Revision: 380472
- fix for automake 1.13
- add tmpfiles config for /run/resource-agents

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 3.9.2-1.mga2
+ Revision: 232148
- version 3.9.2
- add ldirectord subpackage

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99967
- imported package resource-agents

